GuideLab Docs

Update teammate production settings

Creates or updates production-specific settings for a lab member. Upserts the settings record, creating one with defaults if it does not exist yet.

PUT
/production/teammates/{memberId}/settings

Creates or updates production-specific settings for a lab member. Upserts the settings record, creating one with defaults if it does not exist yet.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

memberId*string

Member ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/production/teammates/mem_123/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "memberId": "string",    "dailyUnitCapacity": 0,    "workingIntervals": [],    "unavailableDates": [],    "accessLevel": "string",    "showUnassignedTasks": true,    "defaultRoomId": "string",    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty